{% extends 'shared/layout.html' %}
{% load static %}
{% block h3 %}
  Anon-Ticket
{% endblock %}
{% block subheader %} 
  Generate Anonymous Identifier
{% endblock %}

{% block content %}
  <div class="row">
    <div class="col-11 pr-5">
      <p class="pr-5"> Anon-Ticket identifiers are code-phrases consisting of
        six words randomly chosen from a dictionary.</p>
      <form class="d-inline" action="{% url 'create-identifier' %}" method="POST">
        {% csrf_token %}
        <p class="pr-5">A user identifier has been generated for you below. 
        If you don't like this identifier, you can 
          <button type="submit" class="btn btn-lg btn-link p-0 border-0">reload the page</button>,
        and another one will be generated for you.
      </p>
      </form>
      <p>When you have a code-phrase you like, make sure to save it somewhere. 
         A lost code-phrase <mark>cannot be looked up.</mark></p>
    </div>
  </div>
  <div class="row justify-content-center bg-light p-1 mt-3 mb-3 ml-3 mr-3 col-10">
    {% for word in chosen_words %}
      <div class="col-auto p-2 mb-2">
        <h4 class="text-primary">{{word}}</h4>
      </div>
    {% endfor %}
  </div>
  <div class="row justify-content-start mb-3 col-10">
    <form action="{% url 'create-identifier' %}" method="POST" class="col-sm-auto mt-2">
      {% csrf_token %}
      <button type="submit" class="btn btn-lg btn-primary mr-2">
        Choose a Different Identifier
      </button>
    </form>
    <!-- Generate the user_login_link on the fly -->
    {% url 'user-landing' as login_url %}
    <form action="{{login_url}}" class="col-sm-auto mt-2 ml-2">
      <button type="submit" class="btn btn-lg btn-primary mr-2">
        Login With This Identifier
      </button>
    </form>
  </div>
{% endblock %}
